/******
Add New Layers - Copy Layer Names and Keys
ver 1.0

Copyright (c) 2014 Hiroyuki WAKIMOTO

License : MIT
*/


function getSufix(){
	return "_gX";
}

function isSelectedLayer(index){
	selLayersIdx = dom.getTimeline().getSelectedLayers();
	if (selLayersIdx.indexOf(index)==-1){
		return false;
	} else {
		return true;
	}
}

//main
function addNewLayers(){
	var dom = fl.getDocumentDOM();
	if (dom == null)
	{
	    alert("Please open a file.");
	}
	else if (dom.pathURI == undefined) {
	    alert("Please save a file.");
	} 
	else 
	{
	    var tl = dom.getTimeline();
	    //C[̔z쐬
	    var layers = [];
	    for (var i=0;i<=tl.getSelectedLayers().length-1;i++){
			var idx = tl.getSelectedLayers()[i];
			layers.push(tl.layers[idx].name);
		}
		//IvV_CAO
		dlg = dom.xmlPanel(fl.configURI +"Javascript/AddNewLayers.xml");
		if ( dlg.dismiss == "accept" ) {
			var p_suffix = dlg.suffix;
			var p_layerType = dlg.layerType;
			var p_isAbove = dlg.isAbove == "true";
			var p_isCopyKeyFrames = dlg.isCopyKeyFrames = "true";
			//C[ǉ
		    for (var i=0;i<=layers.length-1;i++){
				tl.currentLayer = tl.findLayerIndex(layers[i])[0];
				var src_layer = tl.layers[tl.currentLayer];
				tl.addNewLayer(layers[i] + p_suffix , p_layerType , p_isAbove);
				//L[t[̈ʒuRs[
				if (p_isCopyKeyFrames){
					for (j=1;j<=src_layer.frameCount-1;j++){//0͍ŏL[t[
						if (src_layer.frames[j].startFrame==j){ //L[t[
							tl.insertKeyframe(j);
						}
					}
				}
			}
		}
	}
}